package superpangworld;

/**
 * Die Position eines Objekts auf einem Fenster anhand zweidimensoinaler Koordinaten
 */
public class Position {

    /** Die x-Koordinate */
    public double x;
    /** Die y-Koordinate */
    public double y;

    /**
     * Erzeugt eine Position mit den übergebenen Koordinaten
     *
     * @param x die x-Koordinate des Objekts
     * @param y die y-Koordinate des Objekts
     */
    public Position(double x, double y) {
        this.x = x;
        this.y = y;
    }

    /**
     * Veränderung der Position um einen Pixel nach links
     */
    public void left() {
        x--;
    }

    /**
     * Veränderung der Position um einen Pixel nach rechts
     */
    public void right() {
        x++;
    }

    /**
     * Veränderung der Position um einen Pixel nach oben
     */
    public void up() {
        y--;
    }

    /**
     * Veränderung der Position um einen Pixel nach unten
     */
    public void down() {
        y++;
    }

    @Override
    public String toString() {
        return "Position(" + (int) Math.round(x) + ", " + (int) Math.round(y) + ')';
    }
    
}
